Liferay.Loader.define("dynamic-data-mapping-form-field-type@4.0.110/DatePicker/Helpers.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.setDateSelected = setDateSelected;
  exports.formatDate = formatDate;
  exports.clone = clone;
  exports.getDaysInMonth = getDaysInMonth;
  exports.getWeekArray = getWeekArray;

  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;if (Reflect.construct.sham) return false;if (typeof Proxy === "function") return true;try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));return true;
    } catch (e) {
      return false;
    }
  }

  function _construct(Parent, args, Class) {
    if (isNativeReflectConstruct()) {
      _construct = Reflect.construct;
    } else {
      _construct = function _construct(Parent, args, Class) {
        var a = [null];a.push.apply(a, args);var Constructor = Function.bind.apply(Parent, a);var instance = new Constructor();if (Class) _setPrototypeOf(instance, Class.prototype);return instance;
      };
    }return _construct.apply(null, arguments);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance");
  }

  function _iterableToArray(iter) {
    if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) {
      for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
        arr2[i] = arr[i];
      }return arr2;
    }
  }

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  function setDateSelected(d) {
    var newDate = clone(d);
    newDate.setHours(12, 0, 0, 0);
    return "".concat(newDate.getFullYear(), " ").concat(newDate.getMonth(), " ").concat(newDate.getDate());
  }

  function formatDate(d) {
    var dateSplit = d.split(' ');

    var newDate = _construct(Date, _toConsumableArray(dateSplit));

    return newDate;
  }

  function clone(d) {
    return new Date(d.getTime());
  }

  function getDaysInMonth(d) {
    var firstDayOfMonth = new Date(d.getFullYear(), d.getMonth(), 1, 12);
    firstDayOfMonth.setMonth(firstDayOfMonth.getMonth() + 1);
    firstDayOfMonth.setDate(firstDayOfMonth.getDate() - 1);
    return firstDayOfMonth.getDate();
  }

  function getWeekArray(d) {
    var firstDayOfWeek = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    var dayArray = [];
    var daysInMonth = getDaysInMonth(d);
    var week = [];
    var weekArray = [];

    for (var i = 1; i <= daysInMonth; i += 1) {
      var genDay = new Date(d.getFullYear(), d.getMonth(), i, 12);
      dayArray.push({
        date: genDay,
        dateString: setDateSelected(genDay),
        number: genDay.getDate()
      });
    }

    dayArray.forEach(function (day) {
      if (week.length > 0 && day.date.getDay() === firstDayOfWeek) {
        weekArray.push(week);
        week = [];
      }

      week.push(day);

      if (dayArray.indexOf(day) === dayArray.length - 1) {
        weekArray.push(week);
      }
    });
    var firstWeek = weekArray[0];

    for (var _i = 7 - firstWeek.length; _i > 0; _i -= 1) {
      var outsideDate = clone(firstWeek[0].date);
      outsideDate.setDate(firstWeek[0].date.getDate() - 1);
      firstWeek.unshift({
        date: outsideDate,
        dateString: setDateSelected(outsideDate),
        number: outsideDate.getDate(),
        outside: true
      });
    }

    var lastWeek = weekArray[weekArray.length - 1];

    for (var _i2 = lastWeek.length; _i2 < 7; _i2 += 1) {
      var _outsideDate = clone(lastWeek[lastWeek.length - 1].date);

      _outsideDate.setDate(lastWeek[lastWeek.length - 1].date.getDate() + 1);

      lastWeek.push({
        date: _outsideDate,
        dateString: setDateSelected(_outsideDate),
        number: _outsideDate.getDate(),
        outside: true
      });
    }

    return weekArray;
  }
  //# sourceMappingURL=Helpers.es.js.map
});
//# sourceMappingURL=Helpers.es.js.map