Liferay.Loader.define("dynamic-data-mapping-form-builder@2.0.87/js/components/LayoutProvider/handlers/sectionAddedHandler.es", ['module', 'exports', 'require', 'dynamic-data-mapping-form-renderer/js/components/FormRenderer/FormSupport.es', 'dynamic-data-mapping-form-renderer/js/util/visitors.es', '../../../util/fieldSupport.es', '../util/settingsContext.es', './fieldDeletedHandler.es'], function (module, exports, require) {
  var define = undefined;
  function _typeof(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = void 0;

  var FormSupport = _interopRequireWildcard(require("dynamic-data-mapping-form-renderer/js/components/FormRenderer/FormSupport.es"));

  var _visitors = require("dynamic-data-mapping-form-renderer/js/util/visitors.es");

  var _fieldSupport = require("../../../util/fieldSupport.es");

  var _settingsContext = require("../util/settingsContext.es");

  var _fieldDeletedHandler = _interopRequireDefault(require("./fieldDeletedHandler.es"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { "default": obj };
  }

  function _getRequireWildcardCache() {
    if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
      return cache;
    };return cache;
  }

  function _interopRequireWildcard(obj) {
    if (obj && obj.__esModule) {
      return obj;
    }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
      return { "default": obj };
    }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
      return cache.get(obj);
    }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }newObj["default"] = obj;if (cache) {
      cache.set(obj, newObj);
    }return newObj;
  }

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });keys.push.apply(keys, symbols);
    }return keys;
  }

  function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
        ownKeys(Object(source), true).forEach(function (key) {
          _defineProperty(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys(Object(source)).forEach(function (key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }return obj;
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance");
  }

  function _iterableToArray(iter) {
    if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) {
      for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
        arr2[i] = arr[i];
      }return arr2;
    }
  }

  var addNestedField = function addNestedField(_ref) {
    var field = _ref.field,
        indexes = _ref.indexes,
        nestedField = _ref.nestedField,
        props = _ref.props;
    var layout = FormSupport.addFieldToColumn([{
      rows: field.rows
    }], indexes.pageIndex, indexes.rowIndex, indexes.columnIndex, nestedField.fieldName);
    var nestedFields = [].concat(_toConsumableArray(field.nestedFields), [nestedField]);
    field = (0, _settingsContext.updateField)(props, field, 'nestedFields', nestedFields);
    var rows = layout[indexes.pageIndex].rows;
    field = (0, _settingsContext.updateField)(props, field, 'rows', rows);
    return _objectSpread({}, field, {
      nestedFields: nestedFields,
      rows: rows
    });
  };

  var addNestedFields = function addNestedFields(_ref2) {
    var field = _ref2.field,
        indexes = _ref2.indexes,
        nestedFields = _ref2.nestedFields,
        props = _ref2.props;
    var layout = [{
      rows: field.rows
    }];
    var visitor = new _visitors.PagesVisitor(layout);
    visitor.mapFields(function (field, fieldIndex, columnIndex, rowIndex, pageIndex) {
      if (!nestedFields.some(function (nestedField) {
        return nestedField.fieldName === field.fieldName;
      })) {
        layout = FormSupport.removeFields(layout, pageIndex, rowIndex, columnIndex);
      }
    });

    _toConsumableArray(nestedFields).reverse().forEach(function (nestedField) {
      layout = FormSupport.addFieldToColumn(layout, indexes.pageIndex, indexes.rowIndex, indexes.columnIndex, nestedField.fieldName);
    });

    field = (0, _settingsContext.updateField)(props, field, 'nestedFields', nestedFields);
    var rows = layout[indexes.pageIndex].rows;
    return _objectSpread({}, (0, _settingsContext.updateField)(props, field, 'rows', rows), {
      nestedFields: nestedFields,
      rows: rows
    });
  };

  var createSection = function createSection(props, event, nestedFields) {
    var fieldTypes = props.fieldTypes;
    var fieldType = fieldTypes.find(function (fieldType) {
      return fieldType.name === 'fieldset';
    });
    var sectionField = (0, _fieldSupport.createField)(props, _objectSpread({}, event, {
      fieldType: fieldType
    }));
    return addNestedFields({
      field: _objectSpread({}, sectionField, {
        rows: [{
          columns: [{
            fields: [],
            size: 12
          }]
        }]
      }),
      indexes: {
        columnIndex: 0,
        pageIndex: 0,
        rowIndex: 0
      },
      nestedFields: nestedFields,
      props: props
    });
  };

  var _default = function _default(props, state, event) {
    var data = event.data,
        indexes = event.indexes;
    var fieldName = data.fieldName,
        parentFieldName = data.parentFieldName;
    var pages = state.pages;
    var newField = event.newField || (0, _fieldSupport.createField)(props, event);
    var existingField = FormSupport.findFieldByName(pages, fieldName);
    var sectionField = createSection(props, event, [existingField, newField]);
    var visitor = new _visitors.PagesVisitor(pages);
    var newPages;

    if (parentFieldName) {
      newPages = visitor.mapFields(function (field) {
        if (field.fieldName === parentFieldName) {
          var updatedParentField = FormSupport.findFieldByName((0, _fieldDeletedHandler["default"])(props, state, {
            fieldName: fieldName
          }).pages, parentFieldName);
          return addNestedField({
            field: updatedParentField,
            indexes: indexes,
            nestedField: sectionField,
            props: props
          });
        }

        return field;
      }, false, true);
    } else {
      newPages = visitor.mapFields(function (field) {
        if (field.fieldName === fieldName) {
          return sectionField;
        }

        return field;
      });
    }

    return {
      focusedField: _objectSpread({}, newField),
      pages: newPages,
      previousFocusedField: sectionField
    };
  };

  exports["default"] = _default;
  //# sourceMappingURL=sectionAddedHandler.es.js.map
});
//# sourceMappingURL=sectionAddedHandler.es.js.map