Liferay.Loader.define("dynamic-data-mapping-form-builder@2.0.87/js/components/LayoutProvider/util/settingsContext.es", ['module', 'exports', 'require', 'dynamic-data-mapping-form-renderer/js/util/fields.es', 'dynamic-data-mapping-form-renderer/js/util/visitors.es', './fields.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.updateField = exports.updateFieldOptions = exports.updateFieldProperty = exports.updateFieldLabel = exports.updateFieldDataType = exports.updateFieldName = exports.updateSettingsContextProperty = exports.getSettingsContextProperty = void 0;

  var _fields = require("dynamic-data-mapping-form-renderer/js/util/fields.es");

  var _visitors = require("dynamic-data-mapping-form-renderer/js/util/visitors.es");

  var _fields2 = require("./fields.es");

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });keys.push.apply(keys, symbols);
    }return keys;
  }

  function _objectSpread(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
        ownKeys(Object(source), true).forEach(function (key) {
          _defineProperty(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys(Object(source)).forEach(function (key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }return target;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }return obj;
  }

  var getSettingsContextProperty = function getSettingsContextProperty(settingsContext, propertyName) {
    var propertyValue;
    var visitor = new _visitors.PagesVisitor(settingsContext.pages);
    visitor.mapFields(function (field) {
      if (propertyName === field.fieldName) {
        propertyValue = field.value;
      }
    });
    return propertyValue;
  };

  exports.getSettingsContextProperty = getSettingsContextProperty;

  var updateSettingsContextProperty = function updateSettingsContextProperty(editingLanguageId, settingsContext, propertyName, propertyValue) {
    var visitor = new _visitors.PagesVisitor(settingsContext.pages);
    return _objectSpread({}, settingsContext, {
      pages: visitor.mapFields(function (field) {
        if (propertyName === field.fieldName) {
          field = _objectSpread({}, field, {
            value: propertyValue
          });

          if (field.localizable) {
            field.localizedValue = _objectSpread({}, field.localizedValue, _defineProperty({}, editingLanguageId, propertyValue));
          }
        }

        return field;
      })
    });
  };

  exports.updateSettingsContextProperty = updateSettingsContextProperty;

  var shouldAutoGenerateName = function shouldAutoGenerateName(defaultLanguageId, editingLanguageId, focusedField) {
    var fieldName = focusedField.fieldName,
        label = focusedField.label;
    return defaultLanguageId === editingLanguageId && fieldName.indexOf((0, _fields.normalizeFieldName)(label)) === 0;
  };

  var updateFieldName = function updateFieldName(editingLanguageId, fieldNameGenerator, focusedField, value) {
    var _focusedField = focusedField,
        fieldName = _focusedField.fieldName,
        label = _focusedField.label;
    var normalizedFieldName = (0, _fields.normalizeFieldName)(value);
    var newFieldName;

    if (normalizedFieldName !== '') {
      newFieldName = fieldNameGenerator(value, fieldName);
    } else {
      newFieldName = fieldNameGenerator(label, fieldName);
    }

    if (newFieldName) {
      var _focusedField2 = focusedField,
          settingsContext = _focusedField2.settingsContext;
      settingsContext = _objectSpread({}, settingsContext, {
        pages: (0, _fields2.updateFieldValidationProperty)(settingsContext.pages, fieldName, 'fieldName', newFieldName)
      });
      focusedField = _objectSpread({}, focusedField, {
        fieldName: newFieldName,
        name: newFieldName,
        settingsContext: updateSettingsContextProperty(editingLanguageId, settingsContext, 'name', newFieldName)
      });
    }

    return focusedField;
  };

  exports.updateFieldName = updateFieldName;

  var updateFieldDataType = function updateFieldDataType(editingLanguageId, focusedField, value) {
    var settingsContext = focusedField.settingsContext;
    settingsContext = _objectSpread({}, settingsContext, {
      pages: (0, _fields2.updateFieldValidationProperty)(settingsContext.pages, focusedField.fieldName, 'dataType', value)
    });
    return _objectSpread({}, focusedField, {
      dataType: value,
      settingsContext: updateSettingsContextProperty(editingLanguageId, settingsContext, 'dataType', value)
    });
  };

  exports.updateFieldDataType = updateFieldDataType;

  var updateFieldLabel = function updateFieldLabel(defaultLanguageId, editingLanguageId, fieldNameGenerator, focusedField, value) {
    var fieldName = focusedField.fieldName,
        settingsContext = focusedField.settingsContext;

    if (shouldAutoGenerateName(defaultLanguageId, editingLanguageId, focusedField)) {
      var updates = updateFieldName(editingLanguageId, fieldNameGenerator, focusedField, value);
      fieldName = updates.fieldName;
      settingsContext = updates.settingsContext;
    }

    return _objectSpread({}, focusedField, {
      fieldName: fieldName,
      label: value,
      settingsContext: updateSettingsContextProperty(editingLanguageId, settingsContext, 'label', value)
    });
  };

  exports.updateFieldLabel = updateFieldLabel;

  var updateFieldProperty = function updateFieldProperty(editingLanguageId, focusedField, propertyName, propertyValue) {
    var _objectSpread3;

    return _objectSpread({}, focusedField, (_objectSpread3 = {}, _defineProperty(_objectSpread3, propertyName, propertyValue), _defineProperty(_objectSpread3, "settingsContext", updateSettingsContextProperty(editingLanguageId, focusedField.settingsContext, propertyName, propertyValue)), _objectSpread3));
  };

  exports.updateFieldProperty = updateFieldProperty;

  var updateFieldOptions = function updateFieldOptions(editingLanguageId, focusedField, value) {
    var options = value[editingLanguageId];
    return _objectSpread({}, focusedField, {
      options: options,
      settingsContext: updateSettingsContextProperty(editingLanguageId, focusedField.settingsContext, 'options', value)
    });
  };

  exports.updateFieldOptions = updateFieldOptions;

  var updateField = function updateField(_ref, field, propertyName, propertyValue) {
    var defaultLanguageId = _ref.defaultLanguageId,
        editingLanguageId = _ref.editingLanguageId,
        fieldNameGenerator = _ref.fieldNameGenerator;

    if (field[propertyName] === propertyValue) {
      return field;
    }

    if (propertyName === 'dataType') {
      field = _objectSpread({}, field, {}, updateFieldDataType(editingLanguageId, field, propertyValue));
    } else if (propertyName === 'label') {
      field = _objectSpread({}, field, {}, updateFieldLabel(defaultLanguageId, editingLanguageId, fieldNameGenerator, field, propertyValue));
    } else if (propertyName === 'name') {
      field = _objectSpread({}, field, {}, updateFieldName(editingLanguageId, fieldNameGenerator, field, propertyValue));
    } else if (propertyName === 'options') {
      field = _objectSpread({}, field, {}, updateFieldOptions(editingLanguageId, field, propertyValue));
    } else {
      field = _objectSpread({}, field, {}, updateFieldProperty(editingLanguageId, field, propertyName, propertyValue));
    }

    return field;
  };

  exports.updateField = updateField;
  //# sourceMappingURL=settingsContext.es.js.map
});
//# sourceMappingURL=settingsContext.es.js.map