Liferay.Loader.define("dynamic-data-mapping-form-renderer@4.0.70/js/store/actions/handlePaginationPreviousClicked.es", ['module', 'exports', 'require', '../../util/evaluation.es'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports["default"] = void 0;

  var _evaluation = require("../../util/evaluation.es");

  /**
   * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
   *
   * This library is free software; you can redistribute it and/or modify it under
   * the terms of the GNU Lesser General Public License as published by the Free
   * Software Foundation; either version 2.1 of the License, or (at your option)
   * any later version.
   *
   * This library is distributed in the hope that it will be useful, but WITHOUT
   * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
   * details.
   */
  var _default = function _default(evaluatorContext, dispatch) {
    var activePage = evaluatorContext.activePage,
        formId = evaluatorContext.formId,
        pages = evaluatorContext.pages;
    return (0, _evaluation.evaluate)(null, evaluatorContext).then(function (evaluatedPages) {
      var previousActivePageIndex = activePage;

      for (var i = activePage - 1; i > -1; i--) {
        if (evaluatedPages[i].enabled) {
          previousActivePageIndex = i;
          break;
        }
      }

      var activePageUpdated = Math.max(previousActivePageIndex, 0);
      dispatch('activePageUpdated', activePageUpdated);
      Liferay.fire('ddmFormPageShow', {
        formId: formId,
        page: activePageUpdated,
        title: pages[activePageUpdated].title
      });
    });
  };

  exports["default"] = _default;
  //# sourceMappingURL=handlePaginationPreviousClicked.es.js.map
});
//# sourceMappingURL=handlePaginationPreviousClicked.es.js.map