Liferay.Loader.define('dynamic-data-mapping-form-field-type$moment@2.24.0/src/lib/locale/base-config', ['module', 'exports', 'require'], function (module, exports, require) {
    var define = undefined;
    import { defaultCalendar } from './calendar';
    import { defaultLongDateFormat } from './formats';
    import { defaultInvalidDate } from './invalid';
    import { defaultOrdinal, defaultDayOfMonthOrdinalParse } from './ordinal';
    import { defaultRelativeTime } from './relative';

    // months
    import { defaultLocaleMonths, defaultLocaleMonthsShort } from '../units/month';

    // week
    import { defaultLocaleWeek } from '../units/week';

    // weekdays
    import { defaultLocaleWeekdays, defaultLocaleWeekdaysMin, defaultLocaleWeekdaysShort } from '../units/day-of-week';

    // meridiem
    import { defaultLocaleMeridiemParse } from '../units/hour';

    export var baseConfig = {
        calendar: defaultCalendar,
        longDateFormat: defaultLongDateFormat,
        invalidDate: defaultInvalidDate,
        ordinal: defaultOrdinal,
        dayOfMonthOrdinalParse: defaultDayOfMonthOrdinalParse,
        relativeTime: defaultRelativeTime,

        months: defaultLocaleMonths,
        monthsShort: defaultLocaleMonthsShort,

        week: defaultLocaleWeek,

        weekdays: defaultLocaleWeekdays,
        weekdaysMin: defaultLocaleWeekdaysMin,
        weekdaysShort: defaultLocaleWeekdaysShort,

        meridiemParse: defaultLocaleMeridiemParse
    };
});
//# sourceMappingURL=base-config.js.map