Liferay.Loader.define('dynamic-data-mapping-form-field-type$moment@2.24.0/src/lib/units/aliases', ['module', 'exports', 'require'], function (module, exports, require) {
    var define = undefined;
    import hasOwnProp from '../utils/has-own-prop';

    var aliases = {};

    export function addUnitAlias(unit, shorthand) {
        var lowerCase = unit.toLowerCase();
        aliases[lowerCase] = aliases[lowerCase + 's'] = aliases[shorthand] = unit;
    }

    export function normalizeUnits(units) {
        return typeof units === 'string' ? aliases[units] || aliases[units.toLowerCase()] : undefined;
    }

    export function normalizeObjectUnits(inputObject) {
        var normalizedInput = {},
            normalizedProp,
            prop;

        for (prop in inputObject) {
            if (hasOwnProp(inputObject, prop)) {
                normalizedProp = normalizeUnits(prop);
                if (normalizedProp) {
                    normalizedInput[normalizedProp] = inputObject[prop];
                }
            }
        }

        return normalizedInput;
    }
});
//# sourceMappingURL=aliases.js.map