Liferay.Loader.define('dynamic-data-mapping-form-field-type$vanilla-text-mask@5.1.1/src/vanillaTextMask', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  import createTextMaskInputElement from '../../core/src/createTextMaskInputElement';

  export function maskInput(textMaskConfig) {
    const { inputElement } = textMaskConfig;
    const textMaskInputElement = createTextMaskInputElement(textMaskConfig);
    const inputHandler = ({ target: { value } }) => textMaskInputElement.update(value);

    inputElement.addEventListener('input', inputHandler);

    textMaskInputElement.update(inputElement.value);

    return {
      textMaskInputElement,

      destroy() {
        inputElement.removeEventListener('input', inputHandler);
      }
    };
  }

  export default maskInput;
  export { default as conformToMask } from '../../core/src/conformToMask.js';
});
//# sourceMappingURL=vanillaTextMask.js.map